# Default values for waveqc.
# This is a YAML-formatted file.
# Declare variables to be passed into your templates.

redis:
  image:
    repository: redis
    pullPolicy: Always
    # Overrides the image tag whose default is the chart appVersion.
    tag: "7.2"
  service:
    port: 6379
    type: ClusterIP
  resources:
    limits:
      cpu: 200m
      memory: 128Mi
    requests:
      cpu: 200m
      memory: 128Mi

image:
  repository: gricad-registry.univ-grenoble-alpes.fr/osug/resif/waveqc
  tag: main
  pullPolicy: Always

web:
  service:
    port: 8000
    type: ClusterIP
  resources: {}

celery:
  resources: {}

celerybeat:
  resources:
    limits:
      cpu: 200m
      memory: 128Mi
    requests:
      cpu: 200m
      memory: 128Mi


user: 100
group: 100
### Environment variables
config:
  CSRF_COOKIE_SECURE: true
  SESSION_COOKIE_SECURE: true
  SECURE_SSL_REDIRECT: true
  SECURE_HSTS_SECONDS: 0 # will be charged in helm-values later
  SECURE_HSTS_INCLUDE_SUBDOMAINS: false # will be charged in helm-values later
  SECURE_HSTS_PRELOAD: false # will be charged in helm-values later
  SECURE_PROXY_SSL_HEADER: HTTP_X_FORWARDED_PROTO,https
  STATIC_ROOT: /scratch/waveqc/staticfiles/
  DATABASE_USER: waveqc
  DATABASE_NAME: waveqc
  DATABASE_ENGINE: django.db.backends.postgresql
  DATABASE_PORT: 5432
  DATABASE_HOST: resif-pgpreprod.u-ga.fr
  DATABASE_CONN_MAX_AGE: 30
  DATABASE_CONN_HEALTH_CHECKS: true
  AMQP_USER: waveqc
  AMQP_URL: resif-mq.u-ga.fr
  AMQP_PORT: 5672
  AMQP_VHOST: staging
  RT_SERVER_URL: http://rtserve.resif.fr:18000
  DEBUG: false
  SENTRY_ENVIRONMENT: staging
  SENTRY_PROFILES_SAMPLE_RATE: 0.01
  SENTRY_TRACES_SAMPLE_RATE: 0.01
  CELERY_BEAT_SCHEDULE_FILENAME: /scratch/waveqc/celerybeat-schedule
  CELERY_WORKER_MAX_TASKS_PER_CHILD: 20
  CELERY_WORKER_PREFETCH_MULTIPLIER: 1
  WAVEQC_FDSN_CLIENT: RESIF
  WAVEQC_MSEED_STORAGE_PATH: /scratch/waveqc/waveforms
  WAVEQC_STATIONXML_STORAGE_PATH: /scratch/waveqc/stations
  WAVEQC_SCHEDULE: 2,4,6,8
secrets:
  AMQP_PASSWORD: plop # Will be charged in a sops secret file
  SENTRY_DSN: plop # Will be charged in a sops secret file
  DATABASE_PASSWORD: plop # Will be charged in a sops secret file
  SECRET_KEY: plop # Will be charged in a sops secret file

nfsServer: 152.77.136.3
nfsPath: /scratch/k8s-staging/waveqc
storageCapacity: 50Gi
storageMountPoint: /scratch/

nameOverride: ""
fullnameOverride: ""
podAnnotations: {}
podLabels: {}

ingress:
  enabled: false
  className: ""
  annotations: {}
  hosts:
    - host: myhostname
      paths:
        - path: /
          pathType: Prefix

autoscaling:
  enabled: false
  minReplicas: 1
  maxReplicas: 3
  targetCPUUtilizationPercentage: 60
  targetMemoryUtilizationPercentage: 80

# Additional volumes on the output Deployment definition.
volumes: []
# - name: foo
#   secret:
#     secretName: mysecret
#     optional: false

# Additional volumeMounts on the output Deployment definition.
volumeMounts: []
# - name: foo
#   mountPath: "/etc/foo"
#   readOnly: true

nodeSelector: {}

tolerations: []

affinity: {}

livenessProbe: {}

readinessProbe: {}
